Watchlists, Politically Exposed Persons, Adverse Media Screening
Introduction
This API can be used for 3 different screenings based on the input provided by client as mentioned below :-
a) Global Watchlists & Sanction Sceening :- Signzy's Global Watchlists & Sanction offers data from more than 6000 global source daily to alert you about potential sanction risks when screening candidates, vendors, or other business partners.
Global watchlists are compiled by governments and international organizations to identify entities linked to crime, corruption, terrorism, laundering, and various other forms of unethical behavior. Entities include individuals, corporations, or even countries. Even if they aren’t actively committing a crime, listed entities may be connected to suspicious activity. Engaging in risky business relationships with suspicious parties can result in severe regulatory penalties, financial loss, and reputational damage.
b) Politically Exposed Persons (PEP) Screening :- Signzy's Politically Exposed Persons Screening uses data from Government databases, a lot of other datasources & analyze media sources daily to uncover PEP associations not listed by governments or other common sources, looking at family members and close associates as well as the individual in question.
Politically Exposed Persons are individuals connected to high-level roles in a government, either directly, through family members, or through close personal and business relationships. PEPs are considered higher risk customers because their proximity to power offers more opportunities to engage in unethical or unlawful behavior, such as nepotism, money laundering, and embezzlement.
International AML/KYC regulations for financial services, banking, and other sectors often require ongoing monitoring of PEPs. While PEP status is not an automatic dealbreaker, it may be a sign you need to implement extra AML/CFT protocols and conduct specialized due diligence. Signzy offers an easier, more affordable solution for reducing reputational and financial risk while supporting smarter compliance decisions.
c) Adverse/Negative Media Screening :- Signzy's Adverse Media Screening uses data from public sources by crawling the web for relevant information on a daily basis, leveraging sentiment analysis and negative keywords to reduce false positives.
Adverse media detection serves as an important early predictor for potential watchlist or sanctions listings, as media outlets can often identify risk with more agility than government or international watchdogs. Red flag behavior linked to money laundering, financial fraud, drug trafficking, human trafficking, risky finances, terrorism — and more — can be better identified and predicted with adverse media screening.
Adverse Media Source Examples :- BBC, The New York Times, Al Jazeera, Washington Post, Gulf News, CNN, The Telegraph, Fox News, The World Bank, Wallstreet Journal, Mumbai Mirror, The Asian Age, The Seattle Times, Caribbean New Now, China Daily, The Indian Express, Bangkok Post, Sydney Morning Herald, Chicago Tribune, Newsroom Panama, Winnipeg Sun, and thousands more....
API Details
You must first login before sending the request. The authorization header in the request must include the access token obtained from the login API call.
Sample cURL
curl --location --request POST 'https://api-preproduction.signzy.app/api/v3/global/pep_nm_wls' \
--header 'Authorization: <----Auth Token---->' \
--header 'Content-Type: application/json' \
--data-raw '{
"subject": "Donald Trump",
"subjectId": "GA94924-83",
"categories": "ALLPP",
"needsTranslation": false,
"dateOfBirthFilter": false,
"aliases": [
"POTUS"
],
"parameters": {
"age": "56",
"dateOfBirth": "7/3/1962",
"free text": "keyword1; keyword2",
"identifier": "some identifier",
"address line 1": "123 Peachtree St",
"city/district": "Atlanta",
"state/province/region/locality": "GA",
"country": "USA",
"countryCodes": "USA,CAN",
"postal code": "30303",
"source country": "USA"
},
"options": {
"pep": {
"excludeFields": [
"social",
"business relations"
],
"profileLevels": [
1,
2,
3
]
}
},
"monitoring": {
"monitor": false
}
}'Request Body Parameters
Parameter | Data Type | Required | Description |
|---|---|---|---|
Content-Type | | Yes | application/json |
Authorization | | Yes | Authorization token |
subject | string | Yes | Name of individual or business. |
subjectID | string | Sometimes When using with Monitoring. | This is the ID the client has assigned to the Subject used to match the response to the record in the client’s database. |
needsTranslation | boolean | Optional | Whether the subject and/or aliases needs to be translated. This only translates the subject name from non-Latin characters (e.g. Chinese, Japanese, Greek, Russian) to Latin characters. Please only pass True for entries that need to be translated from nonLatin characters into Latin characters. Please do not pass True for all API calls by default, this feature will slow down your response time. |
dateOfBirthFilter | boolean | Optional | When set to true, only results that match the searched DOB will be returned. Set to false, all results with namematch scores at or above the relevancy score setting will be returned. Default is false. Please note that if the result does not contain a DOB value, it will be returned regardless of the setting being true or false. |
categories | string | Yes | Product category(-ies) to search. When using more than one product category separate each value with a comma or semicolon.There should be no space after each catogery while entering multiple catogeries at once. Ex: If there are two or more entries at the same then the entries should be like - ALLWL,ALLNM See Categories Section Below |
aliases[] | list | | List of any aliases to search. |
parameters | object | Optional | Optional search criteria. |
parameters.age | string | Optional | Number value entered as a text. |
parameters.dateOfBirth | string | Optional | Individual's age entered as text. |
parameters.free text | string | Optional | Input any keyword text you would like added to the search. Several search words or phrases should be separated by a comma or a semicolon. |
parameters.identifier | string | Optional | Any values associated to the Individual or Business. For example: Passport number or Business License. |
parameters.address line 1 | string | Optional | In the US this value would be the Number and Street Name. |
parameters.address line 2 | string | Optional | In the US this value would be the Suite or PO Box. |
parameters.city/district | string | Optional | City or District |
parameters.state/province/region/locality | string | Optional | State, Province, Region, or Locality |
parameters.country | string | Optional | Country of the searched subject. |
parameters.countryCodes | string | Optional | Comma separated list of country codes expressed in ISO 3166- 1 alpha 3 format. Currently only used to filter level 1 and level 2 PEP profiles. Please note that any of the following codes will be accepted for Yugoslavia: (BIH, HRV, MKD, MNE, SRB, and RSK) – BIH will always be the displayed code in the PEP profile. |
parameters.postal code | string | Optional | Postal Code |
parameters.source country | string | Optional | Identifies the country where the data was captured expressed in ISO 3166-1 alpha-3 format. |
options | object | Optional | Additional search options |
options.pep | object | Optional | Additional search options for PEP searches |
options.pep.excludeFields | list | Optional | String enumeration of fields to not return from a Pep profile. Possible values include "Professional History", "Member Of", Employer", "Education", "Awards Received", "Notable Work", "Convicted", "SourceInfoURL" "Affiliation", "Family Members", "Social", "Business Relations", "Business Partnerships", "Lobbying", "Stakeholder", and "Contributions". Please note an error will not occur for any provided value not in our list of acceptable values |
options.pep.profileLevels | list | Optional | Numeric value indicating what pep profile levels to search. Possible values are 1,2,3. 1 – Profile Name 2 – Profile Alias 3 – Profile Relations |
monitoring | object | Optional | Monitoring options. |
monitoring.monitor | boolean | Optional | Whether this search should be monitored. |
monitoring.schedule | object | | Schedule options. |
monitoring.schedule.scheduleType | string | Optional | String enumeration for monitor frequency. Default value is Monthly. Possible values are DAILY, WEEKLY, MONTHLY, QUARTERLY, OR ANNUALLY. |
monitoring.schedule.endAt | datetime | Optional | Specifies when the monitoring should stop, expressed in ISO 8601. |
Categories
Watchlist Categories
Abbreviation | Name |
|---|---|
ALLWL | All WLS categories |
ACTIV | Activist |
AMLKC | AML/KYC Compliance |
EXDEB | Exclusion/Debarment |
FINAN | Financial |
GLCRM | Global Criminal |
GLHLC | Global Healthcare |
GWLAS | Global Watch Lists and Sanctions |
IMEXP | Import/Export |
NATCF | National Criminal File |
NATHC | National Healthcare |
OIGHS | Office of the Inspector General |
RLEST | Real Estate |
SAMGE | SAM.gov Exclusions |
SAMGV | SAM.gov |
SXOFF | Sex Offenders |
WCORR | Corruption |
WOFAC | OFAC |
WTERR | Terrorism |
Adverse/Negative Media Categories
Abbreviation | Name | Description |
|---|---|---|
ALLNM | All NM categories | Contains all adverse news types. |
ANRTS | Animal Rights | This category contains adverse news geared towards animal rights. Which includes news of animal cruelty, arrests, lawsuits etc. |
BUFIN | Business & Financial | Contains adverse news from business and financial articles. |
CRCRT | Crime & Courts | contains adverse news involving Crime and Courts. A few examples include: o Investigations o News on trials o News on Arrests o Police Logs o News on Sentencings o News on Legal Cases |
GNEWS | General News | contains all adverse news types (with the exception of Sports, Celebrity News, Gossip, Weather). A few examples include; o Regional News o Top Stories o Featured News o World News |
MISEC | Military & Security | contains adverse news involving Military and Nation Security. A few examples include; o War and Conflict o Defense News o News on Terrorism/Terrorist o International Criminal Court News o Country Relations o Government Briefs o Sanctions o News from Intelligence Agencies |
NMCOR | Corruption | o News of bribery o News of embezzlement 5 o Political corruption o News from Anti-Corruption agencies o Whistle-Blower News o News of investigations/arrests/cases/trials for corruption o Misconduct News |
POGOV | Politics & Government | contains adverse news involving Politics or Government. A few examples include; o Brexit News o Parliament News o Political News o Embassies News o Election News o Federal/State/City Politics o Government News |
Politically Exposed Persons (PEP) Categories
Abbreviation | Name |
|---|---|
ALLPP | All PEP categories |
Sample Response (WLS, AM, PEP)
{
"approximateTotalRecords": 1521,
"subject": "Donald Trump",
"subjectId": "GA94924-83",
"results": {
"subject": "Donald Trump",
"results": {
"wlsResults": [
{
"score": 0.8825105,
"category": "NATCF,SXOFF",
"productId": "WLS",
"resultId": 1,
"sourceId": 124,
"address": "265 E JACKSON ST DOVER, NJ 07801",
"age": "59 (DOB: 03/30/1959)",
"aliasList": "DONALD THOMPSON",
"caution": "2C:24-4A - Endangering the Welfare of a Child",
"dateOfBirth": null,
"entityName": null,
"eyeColor": "Brown",
"gender": "M",
"hairColor": "Gray",
"height": "5'10''",
"highlights": [],
"identifier": "231981",
"individualName": "DONALD T THOMPSON",
"nationality": null,
"placeOfBirth": null,
"program": null,
"race": "White",
"remarks": "Scar on L_eye () , Scar on Head () , Scar on Forehead () , Scar on Nose () , Scar on Back ()",
"sourceAgencyAcronym": "N/A",
"sourceAgencyName": "New Jersey State Police",
"sourceListType": "State Sex Offender Registry",
"sourceParentAgency": "N/A",
"sourceRegion": "North America",
"subjectMatched": "DONALD T THOMPSON",
"text": "Offender Search: Offender Details Details Name: DONALD T...",
"url": "http://www.icrimewatch.net/...",
"weight": "176lbs"
}
],
"nmResults": [
{
"score": 1,
"category": "GNEWS",
"productId": "NM",
"resultId": 3,
"sourceId": 323,
"highlights": [],
"subjectMatched": "Donald Trump",
"text": "Nearly 100 of America's top tech companies like Apple, Google and Facebook ..."
}
],
"pepResults": [
{
"score": 1,
"productId": "PEP",
"profileId": 73616,
"resultId": 4,
"country": "United States of America",
"countryCode": "USA",
"name": "Donald Trump",
"gender": "male",
"placeOfBirth": "Jamaica Hospital",
"dateOfBirth": "1946-06-14",
"dateOfDeath": null,
"birthName": "Donald John Trump",
"nativeName": "Donald Trump",
"professionalHistory": [
"President of the United States of America",
"director",
"chairperson"
],
"memberOf": [
"Forbes list of billionaires",
"Republican Party"
],
"employer": [],
"education": [...],
"awardsReceived": [...],
"notableWork": [...],
"convicted": [],
"sourceInfoURL": [],
"address": [...],
"aliases": [...],
"scoreBoosts": [
"Score Boosted from 1 to 1.02 (Profile ID: 73616) Alias The Don found in The Donald"
],
"pepSearchType": 0,
"familyMembers": [
{
"relationType": "Relative",
"name": "Elizabeth Trump"
},
{
"relationType": "Spouse",
"name": "Ivana Trump"
}
],
"social": [...],
"businessRelations": [...],
"businessPartnerships": [...],
"lobbying": [],
"stakeholder": [...],
"contributions": [...]
}
]
}
},
"translatedSubject": null,
"translatedResults": {
"wlsResult": null,
"medResults": null,
"nmResults": null,
"pepResults": null
},
"alaisResults": [
{
"subject": "POTUS",
"results": {
"wlsResults": [...],
"medResults": [...],
"nmResults": [...],
"pepResults": [...]
},
"translatedSubject": null,
"translatedResults": {
"wlsResult": null,
"medResults": null,
"nmResults": null,
"pepResults": null
}
}
],
"monitor": {
"monitorId": "15249ac5-19d8-4bbf-8c2f-50244e5eecc9",
"duplicate": false,
"success": true,
"message": "Monitor successfully created"
},
"searchedProducts": {
"WLS": {
"categories": [
"FINAN"
],
"minScore": 0.8
},
"NM": {
"categories": [
"GNEWS",
"BUFIN"
]
},
"PEP": {
"minScore": 0.875
}
}
}
Sample Response (Only Adverse Media)
{
"result": {
"recordsFound": true,
"subject": "Riza Aziz",
"results": {
"wlsResults": null,
"nmResults": [
{
"productId": "NM",
"score": 1,
"sourceId": 9837,
"category": "CRCRT",
"resultId": 1,
"subjectMatched": "Riza Aziz",
"text": "KUALA LUMPUR: Former prime minister Datuk Seri Najib Tun Razak’s wife Datin Seri Rosmah Mansor is expected to present herself to the police on Friday for her statement to be recorded in connection with the investigation into alleged misappropriation of funds from 1Malaysia Development Berhad (1MDB).According to a source, Rosmah will be quizzed by the Anti-Money Laundering Crime Investigation Team at Menara KPJ, Jalan Tun Razak here on Friday morning.“She was asked to come tomorrow to give her statement, but has requested to postpone the recording of her statement to Friday,” the source told Bernama.The source added that besides Rosmah, her sons, Riza Aziz and Mohd Norashman Najib would also be present to give their statements regarding the investigation.On Oct 4, Inspector-General of Police Tan Sri Mohamad Fuzi Harun said the police may call Rosmah to record her statement on various cases including 1MDB. --Bernama © New Straits Times Press (M) Bhd",
"url": "https://www.nst.com.my/news/crime-courts/2018/10/424466/1mdb-rosmah-expected-give-statement-police-tomorrow",
"sentimentConfidenceLevel": "High"
},
{
"productId": "NM",
"score": 1,
"sourceId": 9837,
"category": "CRCRT",
"resultId": 2,
"subjectMatched": "Riza Aziz",
"text": "KUALA LUMPUR: Former prime minister Datuk Seri Najib Razak did not want a second valuation be done on the assets of 1Malaysia Development Bhd's (1MDB) joint venture partner, PetroSaudi International Ltd (PSI), the High Courtm heard today.Former 1MDB chief executive officer Datuk Shahrol Azral Ibrahim Halmi said a second valuation could have proved that there was \"more downside than upside\" to the deal.Asked by Najib’s lead counsel Tan Sri Muhammad Shafee Abdullah as to why details about PSI’s assets were concealed from the board, Shahrol replied: “It just did not come up”.The ninth prosecution witness said at the time, Edward Morse was the only independent valuer for PSI’s assets and Najib, as the chairman of 1MDB board of advisers, had stated there was no need for a second valuation.Shafee: So what does that mean? There was no second valuation?Shahrol: It means that a second valuation was not preferred. My take from this is that he (Najib) did not prefer this.Shafee: Did he explicitly say he did not want you to make a second valuation?Shahrol: No, he did not say that. The court then heard that fugitive businessman Low Taek Jho or Jho Low was described as \"a fox taking care of chicken\".Shafee said this when the witness testified that he went back and forth between Najib, Low and the 1MDB board of directors.Shahrol said after a meeting with Najib on Oct 16, 2009, he went to see Low to get the minutes of meeting and went back to the 1MDB board of directors.Shafee: Was I wrong to say that Jho Low was (like) a fox taking care of chicken?Shahrol: He was in a way facilitating the misappropriation from 1MDB. I think it may be worth to know that in 2016, Good Star Ltd (a company owned by Low) sent some money to Red Granite Pictures (a company owned by Najib’s stepson, Riza Aziz).Shafee: Why did you go to Red Granite? We will get to that later. Let’s concentrate on what you did. Do not get into anybody else’s problem.Cross-examination before judge Collin Lawrence Sequerah continues tomorrow.Najib, 66, is charged with misappropriating RM2.28 billion of 1MDB funds, money laundering and abuse of power.© New Straits Times Press (M) Bhd",
"url": "https://www.nst.com.my/news/crime-courts/2019/10/534177/witness-najib-said-no-need-second-valuation-psi-assets",
"sentimentConfidenceLevel": "High"
}
],
"pepResults": null
},
"translatedSubject": null,
"translatedResults": {
"wlsResults": null,
"nmResults": null,
"pepResults": null
}
}
}Response Body Parameters
Parameter | Data Type | Description |
|---|---|---|
approximateTotalRecords | integer | Total number of search results. |
subject | string | Name of individual or business searched. |
subjectId | string | Provided SubjectId |
results | object | Results for the subject. Includes subject and translated subject. |
aliasResults[] | list | The list of results for all aliases. Includes subject and translated subject results. |
monitor | object | Only populated if the search was marked for monitoring. |
monitor.monitorId | guid | The ID for the monitor created. |
monitor.duplicate | boolean | Whether a monitor already exists for this subjectId. |
monitor.success | boolean | Whether a monitor was successfully created. monitor.message string A plain text message in regards to creating a monitor. |
searchedProducts | object | Information on the products searched. |
searchedProducts.(key) | string | Identifies the product. |
searchedProducts.(key).categories[] | list | The categories searched for this product. |
searchedProducts.(key). minScore | float | If configured, shows the minimum relevancy score used for this product for this search. Any results below this value have been excluded. |
Watchlist Screen Result Parameters
Parameter | Data Type | Description |
|---|---|---|
Score | float | The calculated relevancy match percentage is based on matching the name submitted with the name in the record. The score could also be boosted if any of the more parameters from the record match with what the user submitted. |
category | string | Category(-ies) matched. Multiple values are comma separated. |
productId | string | Product matched |
resultId | integer | Unique id for the search result |
sourceId | long | Internal ID assigned for the source. |
address | string | Address information for individual or business. |
age | string | Individual's age. |
aliasList | string | Individual's alias name(s) and/or business DBA(s) |
caution | string | Any known alerts/sanctions/issues related to the ad subject. |
dateOfBirth | string | Individual's date of birth. |
entityName | string | Name of the business. |
eyeColor | string | Individual's eye color. |
gender | string | Individual's gender. |
hairColor | string | Individual's hair color. |
height | string | Individual's height. |
highlights[] | list | Snippets of text where the name was matched in a text based search. |
identifier | string | Any values associated to the Individual or Business. For example: Passport number or Business License. |
individualName | string | Name of the individual. |
nationality | string | Individual's nationality. |
placeOfBirth | string | Hospital and/or City. |
program | string | Type of list, group, or association with which the searched subject may be connected to, per the source. |
race | string | Individual's race. |
remarks | string | Any pertinent remarks about the searched subject which the source chose to highlight. |
sourceAgencyAcronym | string | Acronym of the agency which represents the source of the result record. |
sourceAgencyName | string | Name of the agency which represents the source of the result record. |
sourceListType | string | |
sourceParentAgency | string | Name of the parent agency which represents the source of the record. |
sourceRegion | string | Geographic region of the source which represents the result record. |
subjectMatched | string | The name matched for this document |
text | string | Any associated unstructured text. |
url | string | Web URL for article source. |
weight | string | Individual's weight. |
Adverse/Negative Media Result Parameters
Parameter | Data Type | Description |
|---|---|---|
score | float | The calculated relevancy match percentage. |
category | string | Category(-ies) matched. Multiple values are comma separated. |
productId | string | Product matched |
resultId | integer | Unique id for the search result |
sourceId | long | Internal ID assigned for the source. |
highlights[] | list | Snippets of text where the name was matched in a text based search. |
subjectMatched | string | The name matched for this document |
text | string | Any associated unstructured text. |
url | string | Web URL for article source. |
sentimentConfidenceLevel | string | Sentiment confidence level for capture. Possible values are Low, Moderate, and High |
Politically Exposed Persons (PEP) Result Parameters
Parameter | Data Type | Description |
|---|---|---|
score | float | The calculated relevancy match percentage. |
productId | string | Product matched |
profileId | long | |
resultId | integer | Unique id for the search result |
country | string | Country of Citizenship |
countryCode | string | Country Code for country of citizenship |
name | string | Name of PEP Profile |
gender | string | Male or Female |
placeOfBirth | string | Hospital and/or City |
dateOfBirth | string | The date the individual as born |
dateOfDeath | string | The date the individual died, if applicable. |
birthName | string | Name on Birth Certificate |
nativeName | string | Name of PEP Profile |
professionalHistory[] | list | List of professional positions held |
memberOf[] | list | List of any groups the person belongs to |
employer[] | list | List of employers |
education[] | list | List of schools the person has attended |
awardsReceived[] | list | List of any major award the person has received |
notableWork[] | list | List of notable works |
convicted[] | list | List of any crimes or legal issues the person has been convicted of. |
address[] | list | Any known addresses the PEP holds/has held. |
aliases[] | list | Alias hits from the PEP search |
scoreBoosts[] | list | Explanation of relevancy score boosts |
pepSearchType | integer | PEP, Alias, or Associations |
familyMembers[] | list | Business partnerships the PEP is/was engaged in. |
social[] | list | Social groups, establishments or friends the PEP is/was engaged with. |
businessRelations[] | list | Business relationships the PEP is/was engaged in. |
businessPartnerships[] | list | Business partnerships the PEP is/was engaged in. |
lobbying[] | list | Lobbying relationships the PEP is/was engaged in. |
stakeholder[] | list | Names of any individuals or businesses which are stakeholders in interest of the PEP, or which the PEP holds a stake in. |
contributions[] | list | Business partnerships the PEP is/was engaged in. |
Sample Error
{
"error": {
"name": "error",
"message": "Invalid Date",
"status": 400,
"reason": "VALIDATION_ERROR",
"type": "Bad Request",
"statusCode": 200
}
}Error Response Parameters
Parameter | Description |
|---|---|
error | This parameter contains the error. |
error.name | the name of the error |
error.message | the error message |
error.status | status of the api |
error.reason | Reason for error |
error.type | Type of the error |
error.statusCode | Request Status code from Signzy |
Getting help
Please feel free to contact us if you have any questions, require clarification, or have ideas for how to make the documents or any of our services better.
You can reach out to us at [email protected]. We strive to provide prompt and reliable assistance, ensuring your queries are addressed effectively.
We value your feedback and are committed to making your experience smooth and enjoyable. Our team is dedicated to assisting you with any needs you may have. Thank you for choosing our services. We look forward to helping you!